Subject: bug#69561: 30.0.50; Freeze from M-x gnus on macOS

From: Eli Zaretskii <[email-masked]>
Date: Sat, 09 Mar 2024 12:07:44 +0200

> From: Gerd Möllmann <[email-masked]>
> Cc: [email-masked],  [email-masked]
> Date: Sat, 09 Mar 2024 10:47:43 +0100
> 
> It didn't help in a freeze though. Apparently, keyDown isn't called
> then, i.e. there's no output on stderr.
> 
> On second thought, I should probably have expected that, because the
> system says that Emacs is unresponsive, which I think means it doesn't
> process events.
> 
> So, that alone apparently doesn't help, although it appears it should be
> done (in the right way, which I'm not sure I know.)
> 
> News from the last patch I sent for ns_select - I didn't have a freeze
> with it so far, and I didn't observe any adverse effects either. So far
> so good...
> 
> Any idea how to proceed with this, Eli and Alan?

I'm afraid I've lost the relevant context.  Can you remind why Emacs
is not responsive? does it infloop somewhere, and if so, where?